Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management
Class JMException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.management.JMException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  MBeanException, OpenDataException, OperationsException, ReflectionException, RelationException

    public class JMException

extends Exception

Exceptions thrown by JMX implementations. It does not include the runtime exceptions.

Since:
  1.5
See Also:
  Serialized Form

Constructor Summary
`JMException()` Default constructor.
`JMException(String msg)` Constructor that allows a specific error message to be specified.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JMException

    public JMException()

  Default constructor.

### JMException

    public JMException(String msg)

  Constructor that allows a specific error message to be specified.

  Parameters:
    `msg` - the detail message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.